#
# spec file for package squidGuard (Version 1.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           squidGuard
BuildRequires:  db-devel
License:        GPL
Group:          Productivity/Networking/Web/Proxy
Autoreqprov:    on
Version:        1.2.0
Release:        390.2
URL:            http://www.squidguard.org/
Provides:       squidgrd
Obsoletes:      squidgrd
PreReq:         squid
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        filter plugin for squid
Source0:        squidGuard-%{version}.tar.gz
Source1:        README.SuSE
Patch0:         squidGuard-%{version}.dif
Patch1:         squidGuard-%{version}-dbopen.patch

%description
SquidGuard is a free (GPL), flexible and ultra-fast filter, redirector,
and access controller plugin for squid.  It lets you define multiple
access rules with different restrictions for different user groups on a
squid cache.  SquidGuard uses squid's standard redirector interface.



Authors:
--------
    Pl Baltzersen <pal.baltzersen@ost.eltele.no>
    Lars Erik Hland <leh@nimrod.no>

%debug_package
%prep
%setup -n squidGuard-%{version}
%patch0
%patch1 -p1
find -type d | xargs chmod 755
cp %{SOURCE1} .

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=/usr \
	--sysconfdir=/etc \
	--exec_prefix=/usr \
	--bindir=/usr/sbin \
	--sbindir=/usr/sbin \
	--with-db-inc=/usr/include/db4 \
	--with-sg-config=/etc/squidguard.conf \
	--with-sg-dbhome=/var/lib/squidGuard/db \
	--with-sg-logdir=/var/log/squidGuard
make
# ---------------------------------------------------------------------------

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 test/test1.conf $RPM_BUILD_ROOT/etc/squidguard.conf
mkdir -p $RPM_BUILD_ROOT/var/lib/squidGuard/db/blacklist
install -m 644 test/blacklist/* $RPM_BUILD_ROOT/var/lib/squidGuard/db/blacklist
#chown squid.root -R $RPM_BUILD_ROOT/var/lib/squidGuard
#chmod 700 $RPM_BUILD_ROOT/var/lib/squidGuard
#chmod 700 $RPM_BUILD_ROOT/var/lib/squidGuard/*
rm -f {contrib,doc,samples,test}/{Makefile,*.in,*/*.in,.*.swp}
# ---------------------------------------------------------------------------

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(700, squid, root) %dir /var/lib/squidGuard
%attr(700, squid, root) %dir /var/lib/squidGuard/db
%attr(700, squid, root) %dir /var/log/squidGuard
%config(noreplace) /etc/squidguard.conf
%config(noreplace) /var/lib/squidGuard/db/blacklist
/usr/sbin/*
%doc ANNOUNCE CHANGELOG CONFIGURATION CONFIGURATION.html COPYING
%doc FAQ FAQ.html GPL INSTALL INSTALL.html README README.html README.SuSE
%doc contrib doc samples test

%changelog -n squidGuard
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Thu Apr 29 2004 - ro@suse.de
- added -fno-strict-aliasing
* Wed Jun 25 2003 - kssingvo@suse.de
- fixed db->open() call, like Thorsten suggested
* Tue Feb 04 2003 - kssingvo@suse.de
- made pathes FHS 2.2 clean
* Thu Aug 01 2002 - kssingvo@suse.de
- added README.SuSE (as suggest in bugzilla #16670)
* Mon Jul 08 2002 - kukuk@suse.de
- Fix to build without existing squid user
- Add squid to PreRequires.
* Wed Jun 26 2002 - ro@suse.de
- fix directory permissions
* Wed Jan 09 2002 - ro@suse.de
- use db package (update to 1.2.0 to make it compile)
* Wed Sep 26 2001 - bjacke@suse.de
- use buildroot
- correct permissions in /var/squidGuard
- rename squigrd -> squidGuard
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Wed Jun 28 2000 - bodammer@suse.de
- installing a useable test configuration
* Fri Jun 23 2000 - bodammer@suse.de
- initial package of squidGuard Version 1.1.4
